pcl::_PointXYZLAB Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZLAB:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float L
float a
float b
} |
float data_lab [4]
}; |

## Detailed Description

Definition at line 739 of file point_types.hpp.

## Member Data Documentation

##

union { ... }

## a

float pcl::_PointXYZLAB::a

Definition at line 747 of file point_types.hpp.

Referenced by pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray(), pcl::PointXYZLAB::PointXYZLAB(), and pcl::PointXYZRGBtoXYZLAB().

## b

float pcl::_PointXYZLAB::b

Definition at line 748 of file point_types.hpp.

Referenced by pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray(), pcl::PointXYZLAB::PointXYZLAB(), and pcl::PointXYZRGBtoXYZLAB().

## data_lab

float pcl::_PointXYZLAB::data_lab[4]

Definition at line 750 of file point_types.hpp.

Referenced by pcl::PointXYZLAB::PointXYZLAB().

## L

float pcl::_PointXYZLAB::L

Definition at line 746 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::add(), pcl::GeneralizedIterativeClosestPoint6D::MyPointRepresentation::copyToFloatArray(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::get(), pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::operator()(), pcl::PointXYZLAB::PointXYZLAB(), pcl::PointXYZRGBtoXYZLAB(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZLAB >::set().

## PCL_ADD_POINT4D

pcl::_PointXYZLAB::PCL_ADD_POINT4D

Definition at line 741 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp